import serial

class FourG(object):

    def __init__(self, serial_port):

        self.ser = serial.Serial(serial_port,9600,timeout = 1)
    def getSignal(self):
        self.ser.write('AT+CSQ\r\r\n')
	self.ser.readline()
        while self.ser.inWaiting():
            line =  self.ser.readline()
            if line[:5] == "+CSQ:":
                return int(line[6:].rsplit(",")[0])
	return "ERROR"
    def connect(self):
        for com in ('ATZ','ATE0','AT+COPS=0','AT+COPS?','AT+CGACT=1,1','AT+CGPADDR=1'):
            self.ser.write(com+"\r\r\n")
            self.displayText()
  


    def displayText(self):
        while self.ser.inWaiting():
            print self.ser.readline()
